Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils

From: Chris Elvidge <[email-masked]>
Date: Sat, 21 Nov 2020 17:33:50 +0000

These are the commands as run:

git clone git://git.sv.gnu.org/coreutils
cd coreutils
./bootstrap | tee -a out_bootstrap.1
git submodule foreach git pull origin master
git config --global user.email "[email-masked]"
git config --global user.name "Chris Elvidge"
git commit -m 'build: update gnulib submodule to latest' gnulib
git clean -xdfq && ./bootstrap | tee -a out_bootstrap.2
./configure  TIME_T_32_BIT_OK=yes | tee -a out_configure.1

I've got the output of the second bootstrap run (git clean deleted the 
first one, I think) and the configure run.
However I've only got the error message at the end on the make run.

   CC       lib/parse-datetime.o
In file included from lib/gettext.h:26:0,
                  from parse-datetime.y:71:
parse-datetime.y: In function 'parse_datetime2':
parse-datetime.y:2301:27: error: format '%lld' expects argument of type 
'long long int', but argument 2 has type 'time_t {aka long int}' 
[-Werror=format=]
parse-datetime.y:2301:25: note: in expansion of macro '_'
cc1: all warnings being treated as errors
Makefile:9842: recipe for target 'lib/parse-datetime.o' failed
make[2]: *** [lib/parse-datetime.o] Error 1
make[2]: Leaving directory '/home/chris/Downloads/coreutils'
Makefile:12479: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/chris/Downloads/coreutils'
Makefile:6581: recipe for target 'all' failed
make: *** [all] Error 2

I'll send the 30K gzipped file direct to Akim separately, if that's OK.

Cheers

On 21/11/2020 04:53 pm, Akim Demaille wrote:
> Hi all,
> 
>> Le 20 nov. 2020 à 16:48, Pádraig Brady <[email-masked]> a écrit :
>>
>> See also https://bugs.gnu.org/44739
> 
> There, I just read this:
> 
>>> I found that I needed to upgrade to Bison v3.7.4 to avoid a build error
>>> in stdlib.h where @GNULIB_POSIX_MEMALIGN@ has not been converted by
>>> Bison. The check in your bootstrap program allows for an older version
>>> of Bison to be used which fails to do the necessary conversion.
> 
> which is not correct.  Bison does not perform any transformation
> on @FOO@ at all.  This is completely unrelated to it.  What would
> be most useful is to get the generated files and see what they
> look like.
> 
> Also, I might have missed messages, but I would like to see a
> plain copy-paste of the terminal where I can see exactly what
> commands were run, and what the tools reported.
> 
> Cheers!
> 

-- 

Chris Elvidge